Update Organization
curl --request PUT \
--url https://api.example.com/api/organizations/{org_id} \
--header 'Content-Type: application/json' \
--data '
{
"color": "<string>",
"default_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"icon": "<string>",
"name": "<string>",
"require_2fa": true,
"share_owner_github": true
}
'import requests
url = "https://api.example.com/api/organizations/{org_id}"
payload = {
"color": "<string>",
"default_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"icon": "<string>",
"name": "<string>",
"require_2fa": True,
"share_owner_github": True
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
color: '<string>',
default_team_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
icon: '<string>',
name: '<string>',
require_2fa: true,
share_owner_github: true
})
};
fetch('https://api.example.com/api/organizations/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"account_balance": 0,
"color": "#3B82F6",
"default_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"github_account_login": "<string>",
"github_connected": false,
"icon": "Building2",
"member_count": 0,
"my_role": "<string>",
"require_2fa": false,
"require_2fa_set_at": "2023-11-07T05:31:56Z",
"share_owner_github": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Organizations
Update Organization
Update organization. Owner/admin only.
PUT
/
api
/
organizations
/
{org_id}
Update Organization
Path Parameters
Body
application/json
Response
Successful Response